Unable to add Android SDK

Answered

If I try to add Android SDK to my IntelliJ IDEA 2016.3.1 then I get "No Java SDK of appropriate version found. In addition to the Android SDK, you need to define a JDK 1.5, 1.6 or 1.7" even I have added JDK 1.6 and 1.7 to my project structure. What's wrong with this?

3 comments
Comment actions Permalink

Please see the answer to the same question that was provided several days ago: https://intellij-support.jetbrains.com/hc/en-us/community/posts/115000001730-2016-3-Can-t-assign-android-sdk.

You need Java 8.

0
Comment actions Permalink

Thanks. I'll try. Do you think the error message is correct if it says me to add JDK 1.5, 1.6 or 1.7, but in fact 1.8 is required?

0
Comment actions Permalink

The error message is incorrect, it's already mentioned in the linked bug (in the private comment that you can't see).

https://youtrack.jetbrains.com/issue/IDEA-162660

0

Please sign in to leave a comment.